Local Pack Results

Scrape place on Google and get information about available locations.

Searching for a place on the main Google Search may sometimes display a map with available locations. In this case, our scraping API returns two arrays:

Element
Type
Description

local_map

Object

Local map object

link

String

-- Link to upper Google map

image

String

-- Displayed image encoded in base64

gps_coordinates

Object

-- GPS coordinates object

latitude

Double

-- -- Latitude position

longitude

Double

-- -- Longitude position

altitude

Integer

-- -- Altitude of location

local_results

Array

Local results array

more_locations_link

String

-- Link to discover more locations from same place

places

Array

-- Places array

position

Integer

-- -- Position of the place inside the container

place_id

String

-- -- Google ID of the place

rating

Integer

-- -- Location rating on Google Maps

title

String

-- -- Location title or name

links

Object

-- -- Links object

website

String

-- -- -- Location website

directions

String

-- -- -- Location directions

address

String

-- -- Location address

phone

String

-- -- Phone number from location

Local Pack Results Request Example

Request Example That Returns Local Pack Elements

GET https://serpapi.webscrapingapi.com/v1?engine=google&api_key=<YOUR_API_KEY>&q=burger%20king

This is a basic GET request that returns the local pack results found on the Google page.

Query Parameters

Name
Type
Description

q*

String

burger king

api_key*

String

<YOUR_API_KEY>

Scrape Google Place Results

Last updated